#!/usr/bin/perl

BEGIN: {
    use File::Basename;
    use lib dirname($0);
    use sfProps;
}

my $MODE = shift(@ARGV);
my $DIR  = "/var/www-local/fcgi-bin";
my $conf = sfProps->new();

if ( ! -d "/var/run/mod_fcgid" ) {
    mkdir "/var/run/mod_fcgid" or die "Failed to create mod_fcgid run directory: $!\n";
}

my $controlFile = "/usr/lib/tmpfiles.d/mod_fcgid.conf";
if ( -f $controlFile ) {
    open(CTRL, ">$controlFile");
    printf CTRL "d	/run/mod_fcgid		-	%s	%s\n",$conf->get('httpd.user'),$conf->get('httpd.group');
    close(CTRL);
}

system(sprintf("chown %s.%s %s/events", $conf->get('app.user'),$conf->get('app.user'),$conf->get('app.data')));

system(sprintf("su %s -c /opt/collabnet/teamforge/add-ons/teamforge_cli_server/scripts/update.pl", $conf->get('httpd.user') ));

system("/usr/sbin/setsebool allow_execmod 1") if ( -f "/usr/sbin/setsebool" );

# Restart Apache during a rebuild runtime - Customization Installer does this now, no longer needed.
# print "MODE: $MODE\n";
# if ( $MODE =~ /runtime/ ) {
#    system("/etc/init.d/httpd restart");
# }

